POST /stacks
Creates a new infrastructure stack in your cloud account. A stack provisions the necessary cloud resources (VPC, subnets, security groups, storage buckets) for deploying runners. You can create stacks for different cloud providers: - **ec2**: AWS EC2 with CloudFormation - **gce**: Google Cloud Platform with Terraform - **avm**: Azure Virtual Machines with Terraform
In: header
Request Body
application/json
Create new stack body
"kubevirt" | "orchard" | "gce" | "avm" | "ec2" | "nomad""import" | "create"Response Body
application/json
application/json
curl -X POST "https://api.warpbuild.com/api/v1/stacks" \ -H "Content-Type: application/json" \ -d '{ "alias": "string", "connection_id": "string", "kind": "kubevirt", "onboarding_mode": "import" }'{
"actions": [
{
"markdown": "string",
"message": "string",
"name": "redirect",
"redirect_url": "string"
}
],
"stack": {
"alias": "string",
"configurations": {
"avm_configurations": {
"cache_bucket": "string",
"observability_bucket": "string",
"resource_group": "string",
"security_group": "string",
"storage_account": "string",
"subnets": [
{
"az": "string",
"id": "string",
"is_public": true
}
],
"tmpl_params": {},
"vnet": "string"
},
"default_tags": {
"property1": "string",
"property2": "string"
},
"ec2_configurations": {
"cache_bucket": "string",
"docker_builder_security_group": "string",
"observability_bucket": "string",
"role_arn": "string",
"security_group": [
"string"
],
"subnets": [
{
"az": "string",
"id": "string",
"is_public": true
}
],
"tmpl_params": {},
"vpc_id": "string"
},
"gce_configurations": {
"cache_bucket": "string",
"observability_bucket": "string",
"security_group": [
"string"
],
"storage_service_account_email": "string",
"subnets": [
{
"az": "string",
"id": "string",
"is_public": true
}
],
"tmpl_params": {},
"vpc_id": "string"
},
"kubevirt_configurations": {
"namespace": "string",
"registry_secret": "string"
},
"nomad_configurations": {
"data_center": "string",
"data_centers": [
"string"
],
"host": "string",
"meta_filters": {
"property1": "string",
"property2": "string"
}
},
"orchard_configurations": {
"host": "string",
"vm_password": "string",
"vm_username": "string"
},
"r2_configurations": {
"access_key": "string",
"access_key_secret": "string",
"account_id": "string",
"cache_bucket": "string"
}
},
"connection_id": "string",
"created_at": "string",
"id": "string",
"kind": "kubevirt",
"last_reconciled_at": "string",
"latest_version": "string",
"meta": {
"ec2_configurations": {
"aws_cloudformation_stack_id": "string"
},
"is_preferred": true
},
"onboarding_mode": "import",
"organization_id": "string",
"region": "string",
"status": "active",
"version": "string"
}
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /stacks
Lists all infrastructure stacks for the authenticated organization. Stacks represent the cloud infrastructure configurations where runners will be deployed. Stacks can be filtered by cloud provider type (ec2, gce, avm) and status.
PATCH /stacks/{id}
Updates an existing infrastructure stack configuration. Only specified fields will be updated. You can update the stack alias, configuration settings, and metadata. Some changes may trigger infrastructure updates in your cloud account.